Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRiNetwork Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | NtConnectTo ([in] BSTR bstrClientName,[in] BSTR bstrClientPassword,[in] BSTR bstrLocSharedSpace,[in] BSTR bstrServerAddr,[in] VARIANT vPort,[in] VARIANT vSyncRate)
HRESULT | NtDisconnect ([in] BSTR bstrName)
HRESULT | OpenNetworkView ([in] BSTR bszNetwork)
HRESULT | NtOpenView (void)
HRESULT | OpenPrivilegesPanel ()
HRESULT | SetPrivileges ([in] BSTR bstrNodeName,[in] VARIANT bRecursive,[in] VARIANT vOperation,[in] BSTR bstrKeys,[in] VARIANT vSetOperation)

## Detailed Description

The IRiNetwork interface provides methods that allow you access and modify the Shared Space.

Root-level name in the scripting engine's name space: Net

## Member Function Documentation

HRESULT IRiNetwork::NtConnectTo | ( | [in] BSTR | bstrClientName,
|  | [in] BSTR | bstrClientPassword,
|  | [in] BSTR | bstrLocSharedSpace,
|  | [in] BSTR | bstrServerAddr,
|  | [in] VARIANT | vPort,
|  | [in] VARIANT | vSyncRate
| ) |

  | Method create Client object and set its attributes. Then automatically try to connect the server. Parameters:
  bstrClientName | – Client's login name. It will be used as name of the created Client node too. Empty string '' will be mapped as “UnknClient”
  bstrClientPassword | - Client's password for the login name
  bstrLocSharedSpace | - Full name identification of the space that will be synchronized with server's one. Empty string value '' will be mapped as the current scene space (usually '/Project/Space 3D')
  bstrServerAddr | - Server's address
  vPort | - Communication port
  vSyncRate | - Synchronization rate. It define how many times will be the space synchronized with server per second.
Example:
     Net.NtConnectTo('MyUserName', 'MyPasswd', Space.CurrentScene(), '192.168.0.1', 1109, 15.0)

HRESULT IRiNetwork::NtDisconnect | ( | [in] BSTR | bstrName | ) |

  | Disconnect Client object and delete it from Network Space. Parameters:
  bstrName | – Full name identification of the object located in Network Space (Str.ID = “/Network”) that will be disconnected and then deleted. Empty string value '' will be mapped as 'UnknClient'
Example:
     Net.NtDisconnect('MyUserName')
See also: NtConnectTo

HRESULT IRiNetwork::OpenNetworkView | ( | [in] BSTR | bszNetwork | ) |

  | Use to open network view window. Parameters:
  bszNetwork | - Full name identification of the Client object for that the view should be connected.
Example:
     net.OpenNetworkView('/Network/MyUserName')
See also: NtConnectTo

HRESULT IRiNetwork::NtOpenView | ( | void |  | ) |

| Use this method to open a network view. If you are already connected, standard network view is opened and no other action is executed. In case you are not loggin yet, then the login view opens. See also: OpenNetworkView

HRESULT IRiNetwork::OpenPrivilegesPanel | ( |  | ) |

| Opens privileges panel. Example:
     Net.OpenPrivilegesPanel()
See also: SetPrivileges

HRESULT IRiNetwork::SetPrivileges | ( | [in] BSTR | bstrNodeName,
|  | [in] VARIANT | bRecursive,
|  | [in] VARIANT | vOperation,
|  | [in] BSTR | bstrKeys,
|  | [in] VARIANT | vSetOperation
| ) |

  | Set privileges for specified object. Parameters:
  bstrNodeName | - Full name identification of the object for which the privileges will be set.
  bRecursive | - Specify true if you want to set the privileges for sub-objects too.
  vOperation | - kind of operation for which the privileges will be set 0 - Access privileges will be changed 1 - privileges to change Privileges will be set 2 - set Enter privileges
  bstrKeys | - list of keys separated by ";"
  vSetOperation | 0 - replace value (SET) 1 - union value (OR) 2 - substract value 3 - intersect value (AND) 4 - clear value
        // Allow Visitor(s) to manipulate with the whole selected object
        Net.SetPrivileges(Node.FirstSelected(), true, 0, 'Visitor', 1)
See also: OpenPrivilegesPanel